Subject: Re: 1.5.11-1: sftp performance problem
From: "Bob Byrnes" <[email-masked]>
To: [email-masked]
Date: Mon, 13 Sep 2004 13:45:17 -0400

On Sep 9,  1:46pm, Peter Siebold wrote:
-- Subject: 1.5.11-1: sftp performance problem
>
> I updated to the newest version of cygwin dll on 9/7/4 and after sftp
> suffered performance issues when issuing a get on a large file.  File
> transfers now stall and do not complete.  After downgrading to version
> of 1.5.10-3 of cygwin sftp then it works fine.
> 
-- End of excerpt from Peter Siebold

Hi Peter ...

I am continuing to investigate this issue (see the cygwin-patches mailing
list for ongoing discussions if you're interested).

The problem was triggered by ...

On Sep 4, 11:51pm, Christopher Faylor wrote:
-- Subject: [ANNOUNCEMENT] Updated: cygwin-1.5.11-1
>
> Changes since 1.5.10-3:
> 
> ...
> 
> - Fix some problems with rsync hangs on Windows NT class systems. (Bob Byrnes)
> 
-- End of excerpt from Christopher Faylor

Here are some work-arounds that you can use until we have a real fix,
listed in order of most- to least-recommended:

    --  Use slightly smaller buffers with sftp.
        "sftp -B 8192" or even "sftp -B 12288" should work.
        The default buffer size seems to be 16k (in spite of the manpage,
        which claims it is 32k).

    --  Use scp or some other file transfer protocol over ssh,
        like rsync or tar.  The problem seems to affect sftp more
        than other programs.

    --  Downgrade to a version of cygwin before 1.5.11-1.

I hope this helps.

--
Bob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/